## DzlDockStack DzlDockStack |

## Functions

GtkWidget * | dzl_dock_stack_new ()
GtkPositionType | dzl_dock_stack_get_edge ()
void | dzl_dock_stack_set_edge ()
DzlTabStyle | dzl_dock_stack_get_style ()
void | dzl_dock_stack_set_style ()
gboolean | dzl_dock_stack_get_show_pinned_button ()
void | dzl_dock_stack_set_show_pinned_button ()

## Types and Values

| DzlDockStackClass

## Description

## Functions

### dzl_dock_stack_new ()

    GtkWidget *
    dzl_dock_stack_new (void);

### dzl_dock_stack_get_edge ()

    GtkPositionType
    dzl_dock_stack_get_edge (DzlDockStack *self);

### dzl_dock_stack_set_edge ()

    void
    dzl_dock_stack_set_edge (DzlDockStack *self,
                             GtkPositionType edge);

### dzl_dock_stack_get_style ()

    DzlTabStyle
    dzl_dock_stack_get_style (DzlDockStack *self);

### dzl_dock_stack_set_style ()

    void
    dzl_dock_stack_set_style (DzlDockStack *self,
                              DzlTabStyle style);

### dzl_dock_stack_get_show_pinned_button ()

    gboolean
    dzl_dock_stack_get_show_pinned_button (DzlDockStack *self);

### dzl_dock_stack_set_show_pinned_button ()

    void
    dzl_dock_stack_set_show_pinned_button (DzlDockStack *self,
                                           gboolean show_pinned_button);

## Types and Values

### DzlDockStackClass

    typedef struct {
      GtkBoxClass parent;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
    } DzlDockStackClass;